Module java.xml
Package org.w3c.dom.views

## Interface AbstractView

- All Known Subinterfaces:
    `ViewCSS`

      public interface AbstractView

  A base interface that all views shall derive from.

  See also the Document Object Model (DOM) Level 2 Views Specification.

  Since:
    1.8, DOM Level 2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DocumentView` | `getDocument()` | The source `DocumentView` of which this is an `AbstractView`.

- - ### Method Detail

    - #### getDocument

          DocumentView getDocument()

      The source `DocumentView` of which this is an `AbstractView`.